LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
LinkBack Search this Thread
Old 07-01-2003, 05:36 PM   #1
stofferthebest
LQ Newbie
 
Registered: Jun 2003
Posts: 7

Rep: Reputation: 0
Problem trying to upgrade Debian


I have just install debian, and now I will upgrade my debian from stable to unstable, so I have change stable to unstable in the sources.list, and after that I have typeing:
apt-get update
apt-get dist-upgrade
But when it have downloading all the packages I got a error, the error massage are:
E: Internal Error, Could not perform immediate configuration (2) on libpam0g

I have try to solve the problem with typeing:
apt-get -f -o apt::force-loopbreak=1 dist-upgrade

But it don't working

What to do?

greetings
stofferthebest
 
Old 07-02-2003, 02:19 AM   #2
BittaBrotha
Member
 
Registered: Jan 2002
Location: Third Stone from the Sun
Distribution: Debian Sid, SourceMage 0.9.5, & To be Continued on a TP
Posts: 800

Rep: Reputation: 31
Basically APT can't handle the dependency problem that develops here.

Look in /var/cache/apt/archives. You should have libpam0g and
libpam-modules in there. Here is the exact commands I used:

cd /var/cache/apt/archives
dpkg -i libpam0g_0.76-12_i386.deb libpam-modules_0.76-12_i386.deb

Then I could dist-upgrade to my hearts content. If it complains about some other lib files, then you may have to install them also.
 
Old 07-02-2003, 06:16 AM   #3
stofferthebest
LQ Newbie
 
Registered: Jun 2003
Posts: 7

Original Poster
Rep: Reputation: 0
Now it works, thanks (:
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Upgrade From RH 5.2 to Debian 3.0 or Suse 6.2 ekimyerac Linux - Newbie 2 05-31-2005 06:02 PM
Debian dist-upgrade problem m0llbuz_ Debian 3 11-10-2004 12:33 PM
Debian upgrade problem furball Debian 6 05-25-2004 10:16 PM
kernel upgrade problem debian h_lina_k Linux - Newbie 3 03-19-2004 01:18 PM
Progeny Debian Upgrade to Debian Unstable? mrmdls Debian 1 09-25-2003 07:57 AM


All times are GMT -5. The time now is 10:35 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration